Retrieve a list of items and their details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Allows advanced filtering using the function-based DSL. For more information please visit https://developers.unify-retail.com/docs/filtering

Allowed field(s)/operator(s):

item_id : equals, not-equals, any, none, is-null

title : equals, not-equals, contains, starts-with, ends-with, any, none, is-null

size, color : equals, not-equals, contains, any, none, is-null

item_type : equals, not-equals, any, none, is-null

reference, external_reference, model : equals, not-equals, contains, any, none, is-null, is-empty, is-not-empty

price : equals, not-equals, less-than, less-or-equal, greater-than, greater-or-equal, any, none, is-null

ship_from_store, click_and_collect, click_and_go, e_reservation, available_in_store : equals, not-equals, is-null

tags : contains, contains-any, contains-all, is-empty, is-not-empty

Amounts are expressed in the major currency unit (e.g. 19.99 for 19,99 €), like the classic price parameters.

include
array of strings

Array of related resources to include in the response

include
integer
≥ 1
Defaults to 1

Page number to retrieve. Default: 1

integer
1 to 1000
Defaults to 50

Number of records to return per page. Default: 50. Maximum: 1000

string
deprecated

List of item IDs (separated by commas)

Deprecated - use filter=any(item_id,["3662654000033","3662654000040"]) instead.

string
deprecated

Item name

Deprecated - use filter=contains(title,"shirt") instead.

string
deprecated

Size name

Deprecated - use filter=any(size,["S","M"]) instead.

string
deprecated

Color name

Deprecated - use filter=any(color,["BLA01"]) instead.

double
deprecated

Minimum price of the item to retrieve. Mandatory if max_price is provided.

Deprecated - use filter=greater-or-equal(price,10) instead.

double
deprecated

Maximum price of the item to retrieve. Mandatory if min_price is provided.

Deprecated - use filter=less-or-equal(price,50) instead.

integer
enum
deprecated

Indicates whether the item is shipped from store

Deprecated - use filter=equals(ship_from_store,1) instead. When several of these flags are combined, the classic parameters are OR-ed together: use or(...) to reproduce it.

Allowed:
integer
enum
deprecated

Indicates whether the item is available for Click & Collect

Deprecated - use filter=equals(click_and_collect,1) instead. When several of these flags are combined, the classic parameters are OR-ed together: use or(...) to reproduce it.

Allowed:
integer
enum
deprecated

Indicates whether the item is available for Click & Go

Deprecated - use filter=equals(click_and_go,1) instead. When several of these flags are combined, the classic parameters are OR-ed together: use or(...) to reproduce it.

Allowed:
integer
enum
deprecated

Indicates whether the item is available for e-Reservation

Deprecated - use filter=equals(e_reservation,1) instead. When several of these flags are combined, the classic parameters are OR-ed together: use or(...) to reproduce it.

Allowed:
integer
enum
deprecated

Indicates whether the item is available in store

Deprecated - use filter=equals(available_in_store,1) instead. When several of these flags are combined, the classic parameters are OR-ed together: use or(...) to reproduce it.

Allowed:
Headers
string
enum
Defaults to fr-FR

Language code for translations

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json